Browse Source

real latest install

main
pvincent 2 weeks ago
parent
commit
1e7992c9dd
  1. 11
      lib/initiate.bash
  2. 1
      lib/self-upgrade.bash

11
lib/initiate.bash

@ -132,11 +132,6 @@ function link_config_files {
link_etc inputrc # last command required to detect successful installation link_etc inputrc # last command required to detect successful installation
} }
function force_reload {
bind -f /etc/inputrc 2>/dev/null # arch: dismiss harmless warning
# source /etc/profile
}
function in_azerty_zone { function in_azerty_zone {
[[ -L /etc/localtime ]] || return 4 [[ -L /etc/localtime ]] || return 4
@ -217,9 +212,10 @@ function launch_hooks {
echo "Processing: $hook" echo "Processing: $hook"
# shellcheck disable=SC1090 # shellcheck disable=SC1090
if ! source "$hook"; then
>&2 echo 'WARNING: hook failure, bypassed'
if ! miaou-bash "$hook" 3>/dev/null; then
echo 'WARNING: hook failure, bypassed'
fi fi
echo -----------------
done done
} }
@ -237,4 +233,3 @@ link_config_files
link_miaou_bash link_miaou_bash
create_sudoers create_sudoers
launch_hooks launch_hooks
# force_reload

1
lib/self-upgrade.bash

@ -57,6 +57,7 @@ function perform_upgrade {
if source /tmp/miaou-bash-install.sh upgrade; then if source /tmp/miaou-bash-install.sh upgrade; then
if [[ $(find "$backup"/hooks.d -maxdepth 1 -type f | wc -l) -gt 0 ]]; then if [[ $(find "$backup"/hooks.d -maxdepth 1 -type f | wc -l) -gt 0 ]]; then
sudo mv "$backup"/hooks.d/* "$MIAOU_BASH_DIR"/hooks.d/ sudo mv "$backup"/hooks.d/* "$MIAOU_BASH_DIR"/hooks.d/
sudo miaou-bash "$MIAOU_BASH_DIR"/lib/initiate.bash
fi fi
sudo rm -rf "$backup" sudo rm -rf "$backup"
cat <<EOF cat <<EOF

Loading…
Cancel
Save